Author Topic: Dianemo S: Package has been kept back  (Read 574 times)

murcel

  • Guru
  • ****
  • Posts: 198
    • View Profile
Dianemo S: Package has been kept back
« on: July 21, 2012, 01:53:41 pm »
Dear Andrew,

Code: [Select]
dianemo-installer is already the newest version.
The following packages were automatically installed and are no longer required:
  libnspr4-0d flashplugin-installer pluto-raid-tools pluto-video-screen-saver libnss3-1d
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
dianemo-nerve-centre is already the newest version.
The following packages were automatically installed and are no longer required:
  libnspr4-0d flashplugin-installer pluto-raid-tools pluto-video-screen-saver libnss3-1d
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  dianemo-base-packages
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

Is it normal, that dianemo-base-packages are being kept back?

totallymaxed

  • LinuxMCE God
  • ****
  • Posts: 4360
  • Smart Home Consulting
    • View Profile
    • Dianemo - at home with technology
Re: Dianemo S: Package has been kept back
« Reply #1 on: July 23, 2012, 09:02:22 pm »
Dear Andrew,

Code: [Select]
dianemo-installer is already the newest version.
The following packages were automatically installed and are no longer required:
  libnspr4-0d flashplugin-installer pluto-raid-tools pluto-video-screen-saver libnss3-1d
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
dianemo-nerve-centre is already the newest version.
The following packages were automatically installed and are no longer required:
  libnspr4-0d flashplugin-installer pluto-raid-tools pluto-video-screen-saver libnss3-1d
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  dianemo-base-packages
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.

Is it normal, that dianemo-base-packages are being kept back?


No... dianemo-base-packages removes update-notifier and Ubuntu doesn't want to do that implicitly.We have built a fix into a new installer. Just run the updater aagain and you'll automatically get the new installer. Then re-run it.

All the best

Andrew
Andy Herron,
Convergent Home Technologies Ltd
United Kingdom

Read My Blog; http://ellipticalcurve.com

Contact me for Smart Home consulting advice here;
@herron on Twitter, totallymaxed+consulting@gmail.com via email or PM me here.

Get a Dianemo S License: http://forum.linuxmce.org/index.php?topic=8880.0
iOS Orbiter: http://wiki.linuxmce.org/index.php/Dianemo_iOS_Orbiter
Follow us on Facebook: https://www.facebook.com/pages/Dianemo-Home-Automation/226019387454465

Sales & Info:
http://www.dianemo.co.uk

murcel

  • Guru
  • ****
  • Posts: 198
    • View Profile
Re: Dianemo S: Package has been kept back
« Reply #2 on: July 23, 2012, 09:31:31 pm »
thx, worked.